| Home | Libraries | People | FAQ | More

## Struct template term

boost::proto::term — A type sequence, for use as the 2nd parameter to the `proto::expr<>` class template.

## Synopsis

    // In header: <boost/proto/args.hpp>

    template<typename T>
    struct term {
      // types
      typedef T child0;
      static const long arity;  // = 0;
    };

## Description

A type sequence, for use as the 2nd parameter to the `proto::expr<>` class template. The types in the sequence correspond to the children of a node in an expression tree.